


; **********************************************************
;  LIST-OUT
; **********************************************************



; Schalterverwaltung
testausgabe		EQU	0




if	testausgabe


; Funktion: Sektor, Track, Bank, Adresse anzeigen (an LIST) 
;
; Aufruf: STBA_To_LIST
; Uebergabeparameter: HL = Adresse
; Rueckgabeparameter: keine
; 
STBA_To_LIST:

		PUSH	HL
		PUSH	HL
		;
		LD	HL,ZK_S		; ZK_S
		CALL	AUS_ZK_LIST
		;
		LD	A,(SECTOR)
		CALL	ByteToLIST
		;
		LD	HL,ZK_T		; ZK_T
		CALL	AUS_ZK_LIST
		;
		LD	HL,(TRACK)
		CALL	WordToLIST

		;
		LD	HL,ZK_D		; ZK_D
		CALL	AUS_ZK_LIST
		;
		LD	A,(DISKNO)
		CALL	ByteToLIST
		;

		LD	HL,ZK_B		; ZK_B
		CALL	AUS_ZK_LIST
		;
		LD	A,(ROMBANK)
		CALL	ByteToLIST
		;
		LD	HL,ZK_A		; ZK_A
		CALL	AUS_ZK_LIST
		;
		POP	HL
		CALL	WordToLIST
		;
		LD	HL,ZK_CRLF	; Abschluss der Eingabezeile
		CALL	AUS_ZK_LIST
		;
		POP	HL
		CALL	ROMSEL
		CALL	SEKToLIST
		CALL	RAMSEL
		;
		RET




; Funktion: 1 Sektor ab Adresse HL anzeigen (an LIST) 
;
; Aufruf: SEKToLIST
; Uebergabeparameter: Register HL = Anfangsadresse der Bytewerte
; Rueckgabeparameter: Register HL = Ziel-Adresse fuer weitere Bytewerte
; 
SEKToLIST:
		LD	A,8
		;
SEKToLIST_1:
		PUSH	AF
		CALL	By16ToLIST
		;
		POP	AF
		;
		DEC	A
		JR	NZ,SEKToLIST_1
		;
		RET




; Funktion: 16 Byts ab Adresse HL anzeigen (an LIST) 
;
; Aufruf: By16ToLIST
; Uebergabeparameter: Register HL = Anfangsadresse der Bytewerte
; Rueckgabeparameter: Register HL = Ziel-Adresse fuer weitere Bytewerte
; 
By16ToLIST:
		PUSH	HL
		;
		CALL	WordToLIST
		;
		LD	C,','
		CALL	LIST
		;
		POP	HL
		LD	A,16
		;
By16ToLIST_1:
		PUSH	AF
		;
		LD	A,(HL)
		INC	HL
		PUSH	HL
		;
		CALL	ByteToLIST
		;
		LD	C,','
		CALL	LIST
		;
		POP	HL	
		POP	AF
		;
		DEC	A
		JR	NZ,By16ToLIST_1
		;
		PUSH	HL
		;
		LD	HL,ZK_CRLF	; Abschluss der Eingabezeile
		CALL	AUS_ZK_LIST
		;
		POP	HL
		;
		RET




; Funktion: WordToLIST
;
; Aufruf: WordToLIST
; Uebergabeparameter: Register HL - Wordwert
; Rueckgabeparameter: keine
; 
WordToLIST:
		CALL	WordToHex		
		;
		PUSH	DE
		PUSH	BC
		;
		LD	C,B
		CALL	LIST
		;
		POP	BC
		;
		CALL	LIST
		;
		POP	DE
		PUSH	DE
		;
		LD	C,D
		CALL	LIST
		;
		POP	DE
		;
		LD	C,E
		CALL	LIST
		;
		LD	C,'H'
		CALL	LIST
		;
		RET




; Funktion: ByteToLIST
;
; Aufruf: ByteToLIST
; Uebergabeparameter: Register A = Bytewert
; Rueckgabeparameter: keine
; 
ByteToLIST:
		CALL	ByteToHex
		PUSH	BC
		;
		LD	C,B
		CALL	LIST
		;
		POP	BC
		CALL	LIST
		;
		LD	C,'H'
		CALL	LIST
		;
		RET




; Funktion: Ausgabe einer Zeichenkette auf den Drucker
;
; Aufruf: AUS_ZK_LIST
; Uebergabeparameter: Register HL = Adresse der Zeichenkette 
;                     Ende = 00H
; Rueckgabeparameter: keine
; 
AUS_ZK_LIST:	LD	A,(HL)
		OR	A
		RET	Z		;RET wenn Zeichen = 0 ist
		LD	C,A
		PUSH	HL
		CALL	LIST		;Ausgabe des Zeichens in Reg.C
		POP	HL
		INC	HL
		;
		JR	AUS_ZK_LIST



endif





